LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
cppu::AccessControl Class Reference

Helper class retriving access controller singleton from component context. More...

`#include <access_control.hxx>`

## Public Member Functions
| AccessControl (::com::sun::star::uno::Reference< ::com::sun::star::uno::XComponentContext > const &xContext) throw (::com::sun::star::uno::RuntimeException)
| Ctor. More...
| AccessControl (::com::sun::star::uno::Reference< ::com::sun::star::security::XAccessController > const &xController) throw (::com::sun::star::uno::RuntimeException)
| Ctor. More...
| AccessControl (::cppu::AccessControl const &ac) throw (::com::sun::star::uno::RuntimeException)
| Copy ctor. More...
void | clear () throw ()
| Clears the access controller reference being used. More...
inline::com::sun::star::uno::Reference < ::com::sun::star::security::XAccessController > const & | get () const throw ()
| Returns access to the access controller reference being used. More...
inline::com::sun::star::security::XAccessController * | operator-> () const throw ()
| Returns access to the access controller reference being used. More...
void | checkRuntimePermission (::rtl::OUString const &name) throw (::com::sun::star::uno::RuntimeException)
| A com.sun.star.security.RuntimePermission is for runtime permissions. More...
void | checkFilePermission (::rtl::OUString const &url,::rtl::OUString const &actions) throw (::com::sun::star::uno::RuntimeException)
| A com.sun.star.io.FilePermission represents access to a file or directory. More...
void | checkSocketPermission (::rtl::OUString const &host,::rtl::OUString const &actions) throw (::com::sun::star::uno::RuntimeException)
| A com.sun.star.connection.SocketPermission represents access to a network via sockets. More...

## Detailed Description

Helper class retriving access controller singleton from component context.

## Constructor & Destructor Documentation

cppu::AccessControl::AccessControl | ( | ::com::sun::star::uno::Reference< ::com::sun::star::uno::XComponentContext > const & | xContext | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

Ctor.

Parameters

  xContext | component context to retrieve access controller singleton

cppu::AccessControl::AccessControl | ( | ::com::sun::star::uno::Reference< ::com::sun::star::security::XAccessController > const & | xController | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

Ctor.

Parameters

  xController | access controller

cppu::AccessControl::AccessControl | ( | ::cppu::AccessControl const & | ac | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

Copy ctor.

Parameters

  ac | another object

## Member Function Documentation

void cppu::AccessControl::checkFilePermission | ( | ::rtl::OUString const & | url,
|  | ::rtl::OUString const & | actions
| ) |  |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

A com.sun.star.io.FilePermission represents access to a file or directory.

A FilePermission consists of a file url and a set of actions valid for that pathname.

Parameters

  url | file url
  actions | actions list

void cppu::AccessControl::checkRuntimePermission | ( | ::rtl::OUString const & | name | ) |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

A com.sun.star.security.RuntimePermission is for runtime permissions.

A RuntimePermission contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

Parameters

  name | name of permission

void cppu::AccessControl::checkSocketPermission | ( | ::rtl::OUString const & | host,
|  | ::rtl::OUString const & | actions
| ) |  |
throw | ( | ::com::sun::star::uno::RuntimeException
| ) |  |

A com.sun.star.connection.SocketPermission represents access to a network via sockets.

A SocketPermission consists of a host specification and a set of "actions" specifying ways to connect to that host.

Parameters

  host | host and optional portrange
  actions | actions list

void cppu::AccessControl::clear | ( |  | ) |
throw | ( |
| ) |  |
| inline

Clears the access controller reference being used.

inline ::com::sun::star::uno::Reference< ::com::sun::star::security::XAccessController > const& cppu::AccessControl::get | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Returns access to the access controller reference being used.

Returns
  access controller

inline ::com::sun::star::security::XAccessController* cppu::AccessControl::operator-> | ( |  | ) | const
throw | ( |
| ) |  |
| inline

Returns access to the access controller reference being used.

Returns
  access controller

The documentation for this class was generated from the following file:

- cppuhelper/access_control.hxx